services:
  app:
    build:
      context: ../
      dockerfile: docker/Dockerfile
      target: development
    environment:
      NODE_ENV: ${NODE_ENV:-development}
    ports: !override
      - "3000:3000"
      - "4000:4000"
      - "24678:24678"
    volumes:
      - sources:/app

volumes:
  sources:
    driver: local
    driver_opts:
      type: none
      o: bind
      device: ../
